This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 701266 - RFE: Support globs in package names listed in activation keys
RFE: Support globs in package names listed in activation keys
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: New Feature (Show other bugs)
unspecified
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Todd Warner
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks: 260381
  Show dependency treegraph
 
Reported: 2011-05-02 07:22 EDT by Tim Jackson
Modified: 2015-10-05 10:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 10:22:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Jackson 2011-05-02 07:22:24 EDT
Description of problem:
It is not possible to use globs, as one can do with yum, when listing packages to be installed in an activation key. One example of where this is useful is when using a common activation key for both RHEL5 and RHEL6. With yum, one can do:

yum install foo.i?86

However, it is not possible to use this syntax within Satellite activation keys.

Version-Release number of selected component (if applicable):
Satellite 5.4

How reproducible:
Always

Steps to Reproduce:
1. Create an activation key
2. Add a package name using a glob to a list of packages to install as part of that activation key, e.g. "libXp.i?86"
3. Activate a machine using said activation key
  
Actual results:
Neither libXp.i386 nor libXp.i686 is installed

Expected results:
libXp.i386 is installed on a RHEL5 machine, and libXp.i686 is installed on a RHEL6 machine.
Comment 1 Tim Jackson 2011-05-03 01:47:06 EDT
See also bug #701529 for an alternate solution to this at least for the example above, although both solutions would be useful independently.

Note You need to log in before you can comment on or make changes to this bug.